.upper-menu {
    width: 100%;
    border-bottom: 1px solid rgb(202, 209, 217);
    position: sticky;
    top: 6rem;
    background-color: #fff;
    z-index: 9999;
    filter: drop-shadow(0px 6px 6px transparent);
    transition: filter .3s ease-in-out;
}

@media screen and (max-width: 1066px) {
    .upper-menu {
        position: relative;
        top: 6rem;
        border-bottom: unset;
        text-align: center;
        padding: 0.8rem 1.6rem;
        border-bottom: 0.1rem solid rgb(230, 235, 239);
    }
}

.upper-menu>div>div {
    position: relative;
}

.upper-menu>div {
    display: flex;
    justify-content: space-between;
    max-width: 1066px;
    left: 0;
    right: 0;
    margin: 0 auto;
    overflow-x: auto;
    overflow-y: hidden;
    -ms-overflow-style: none;
    scrollbar-width: none;
}



@media screen and (max-width:1066px) {
    .upper-menu>div {
        padding-top: 0;
    }
}


.upper-menu>div::-webkit-scrollbar {
    display: none;
}

.upper-menu>div>span::before {
    content: "•";
    transform: translate(-50%, -50%);
}

.upper-menu>div>div>div {
    padding: 0 0 1rem 0;
}

.upper-menu>div>div>div::after {
    content: "";
    position: absolute;
    bottom: 0px;
    width: 0%;
    display: block;
    left: 50%;
    transform: translateX(-50%);
    border-bottom: 2px solid rgb(26, 26, 26);
    transition-property: width;
    transition-timing-function: ease-out;
}

.upper-menu>div>div>div:hover::after,
.upper-menu>div>div>div:active::after,
.upper-menu>div>div>div[active]::after {
    width: 100%;
    transition-duration: 0.2s;
}

.upper-menu-dialoge {
    display: flex;
    width: 100%;
    margin: 0 auto;
    position: absolute;
    background: transparent;
    padding-top: 1px;
    overflow: hidden;
}

.upper-menu-dialoge>div {
    background: #fff;
    width: 1066px;
    margin: 0 auto;
    max-height: 485px;
    display: flex;
    border-radius: 0 0 .8rem .8rem;
    box-shadow: rgba(26, 26, 26, .08) 0px -1px 4px 0px, rgba(26, 26, 26, .12) 0px 4px 8px 0px;
    overflow: hidden;
    margin-bottom: 20px;
}

.upper-menu-dialoge>div>div:nth-child(1) {
    background: rgb(244, 246, 247);
    min-width: 20.5rem;
    text-decoration: nowrap;
}

.upper-menu-dialoge>div>div:nth-child(1)>button {
    padding: 2.6rem 1.2rem 2.6rem 0.2rem;
    width: 100%;
    display: flex;
    align-items: center;
    margin-right: 1.5rem;
}

.upper-menu-dialoge>div>div:nth-child(1)>button>div::before {
    content: "";
    width: 2px;
    background: rgb(26, 26, 26);
    position: relative;
    display: block;
    right: -2.0em;
}

.upper-menu-dialoge>div>div:nth-child(1)>button>svg {
    height: 1.6rem;
    width: 1.6rem;
    margin-left: .8rem;
}

.upper-menu-dialoge>div>div:nth-child(1)>button:hover>svg {
    fill: rgb(255, 110, 20);
    transition: fill 0.2s ease 0s;
}

.upper-menu-dialoge>div>div:nth-child(1)>button>div {
    display: flex;
    justify-content: center;
    font-size: 1.6rem;
    font-weight: 600;
}

.upper-menu-dialoge>div>div:nth-child(1)>button:hover>div {
    color: rgb(255, 110, 20);
    transition: color 0.2s ease 0s;
}

.upper-menu-dialoge>div>div:nth-child(1)>button:hover>div::before {
    transition: all 0.2s ease 0s;
    background: rgb(255, 110, 20);
    ;
}

.upper-menu-dialoge>div>div:nth-child(1)>button>div>svg {
    width: 1.9rem;
    height: 1.9rem;
    margin-left: 0.8rem;
}

.upper-menu-dialoge>div>div:nth-child(2) {
    background: #fff;
    width: 100%;
    overflow-x: hidden;
    overflow-y: auto;
}

.upper-menu-dialoge>div>div:nth-child(2)>div {
    padding: 2.8rem 2.4rem;
    overflow: hidden;
}

.upper-menu-dialoge>div>div:nth-child(2)>div>ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 2rem;
}

.upper-menu-dialoge>div>div:nth-child(2)>div>ul>li {
    margin-top: 0rem;
    padding: 0 0rem;
}

.upper-menu-dialoge>div>div:nth-child(2)>div>ul>li>a {
    font-size: 1.4rem;
    font-weight: 600;
    padding: 0.4rem 0.8rem;
    display: flex;
    align-items: center;
}

.upper-menu-dialoge>div>div:nth-child(2)>div>ul>li>a:hover {
    color: rgb(255, 110, 20);
    transition: all 0.2s ease 0s;
}

.upper-menu-dialoge>div>div:nth-child(2)>div>ul>li>a>span {
    display: flex;
}

.upper-menu-dialoge>div>div:nth-child(2)>div>ul>li>a>span>img {
    min-height: 2.5rem;
    max-width: 4rem;
    padding-left: 2rem;
}


.upper-menu-dialoge>div>div:nth-child(2)>div>ul>li>a>span>svg {
    height: 1.6rem;
    width: 1.6rem;
}

.upper-menu-dialoge>div>div:nth-child(2)>div>ul>li>a:hover>span>svg {
    fill: rgb(255, 110, 20);
    transition: all 0.2s ease 0s;
}